local intro = {}

local text = require('text')
local levels = require('levels')
local game = require('game')

function intro.init()
end

function intro.close()
end

function intro.update()
	if mouse.down(mouse.primary) or char.down(' ') then
		if levels.texts[game.current_level] then
			text.text = levels.texts[game.current_level]
			states.replace('text')
		else
			states.replace('game')
		end
	end
	return true
end

function intro.leave()
	sound.play(mus, true)	
end

function intro.render(t)
	local pos = vec2(32, 120)
	local alpha = 1 - math.abs(t)
	
	vfont.select(fnt, 72)
	vfont.draw('Melas', 1, pos, rgba(1, 1, 1, alpha))
	pos.y = pos.y + 72
	vfont.select(fnt, 28)
	vfont.draw('Investigation into affairs of two unfriendly organisations', 1, pos, rgba(0.5, 0.5, 0.5, alpha))
	pos.y = pos.y + 290

	vfont.select(fnt, 32)
	vfont.draw('Controls:', 1, pos, rgba(0.8, 0.8, 0.8, alpha))
	pos.y = pos.y + 32
	vfont.draw('Mouse - select, move', 1, pos, rgba(0.8, 0.8, 0.8, alpha))
	pos.y = pos.y + 32
	vfont.draw('Space - end turn', 1, pos, rgba(0.8, 0.8, 0.8, alpha))
	pos.y = pos.y + 32
	vfont.draw('r - restart level', 1, pos, rgba(0.8, 0.8, 0.8, alpha))
	
	vfont.select(fnt, 42)
	return true
end

return intro
