local levels = {}

levels[1] = {
	'########',
	'#a     #',
	'#  h  e#',
	'#a     #',
	'########'
}

levels[2] = {
	'########',
	'#a    e#',
	'#      #',
	'#      #',
	'#a   he#',
	'########'
}

levels[3] = {
	'########',
	'#a    h#',
	'#   e h#',
	'#a    h#',
	'########'
}

levels[4] = {
	'#########',
	'####h   #',
	'#a #  e #',
	'# b   e #',
	'#a #  e #',
	'####h   #',
	'#########'
}

levels[5] = {
	'########',
	'# ab  h#',
	'##### ##',
	'#   a e#',
	'########'
}

levels[6] = {
	'#########',
	'#       #',
	'#a  b  e#',
	'#  bh   #',
	'#a  b  e#',
	'#       #',
	'#########'
}

levels[7] = {
	'#########',
	'#h  #   #',
	'#     e #',
	'# a #   #',
	'# a #   #',
	'#     e #',
	'#h  #   #',
	'#########',
}

levels[8] = {
	'#######',
	'#h## a#',
	'# #ab #',
	'# #bbb#',
	'#e# b #',
	'# # a #',
	'#   ###',
	'#######'
}

levels[9] = {
	'##############',
	'#    #h#     #',
	'#a    b#  e  #',
	'#     b   e  #',
	'#     b   e  #',
	'#aa   b#  e  #',
	'#    #h#     #',
	'##############'
}

levels[10] = {
	'##############',
	'#a          a#',
	'# b        b #',
	'#   h####h   #',
	'#     ee     #',
	'#     ee     #',
	'#   h####h   #',
	'# b        b #',
	'#a          a#',
	'##############'
}

levels[11] = {
	'#########',
	'#ee  # h#',
	'#    # a#',
	'#### #b #',
	'#   a   #',
	'bbbbbbb #',
	'bbbbbb a#',
	'bbbbbb h#',
	'bbbbbb###'
}

levels[12] = {
	'###############',
	'#             #',
	'# e b  ##  b  #',
	'# h e  ##a    #',
	'# e h     b a #',
	'# h e  ##a    #',
	'# e b  ##  b  #',
	'#             #',
	'###############'
}

levels.texts = {
	[1] = {
		'Robopeace activists kicked the door of Megacorp',
		'factory and rushed inside screaming "Die you monsters!"',
		'in a high-pitched mechanical voices.'
	},
	[2] = {
		'"There\'s no joy in life like pushing some corporate',
		'scumm down the hole", said another Robopeace activist.'
	},
	[3] = {
		'"Move then push guys, move then push! Or push then move,',
		'that\'s also fine. Just get these bastards out of my sight."'
	},
	[4] = {
		'"Look, this is one of the SuperBoxes that they make',
		'at this factory!", excitedly proclaimed an activist while',
		'rushing towards it with hatred in his eyes.'
	},
	[5] = {
		'In an interview with journalists, Robopeace spokesperson',
		'assured that they are a peaceful organisation and can\'t',
		'to do much besides pushing stuff around.'
	},
	[6] = {
		'Megacorp, besides being the biggest company on the',
		'planet, is known for selling the most SuperBoxes and',
		'not liking kittens.'
	},
	[7] = {
		'Intense push training camp is something that every',
		'Robopeace member must go through in order to get',
		'promoted to important positions inside the organization.'
	},
	[8] = {
		'"We are very excited to deliver to you this revolutionary',
		'new SuperBox, it is absolutely the best one yet"',
		' - Robocorp CEO during the SuperBox 3 launch keynote'
	},
	[9] = {
		'Robopeace leader refused to comment on the recent rumors',
		'about their missing members.'
	},
	[10] = {
		'"Why meeeeee?", asked Megacorp employee while falling',
		'down the hole.'
	},
	[11] = {
		'The new Megacorp factory consumes no energy and',
		'produces no emissions. "They\'re evil, they don\'t like', 
		'kittens", proclaimed Robopeace spokesperson when we',
		'asked what he thinks.'
	},
	[12] = {
		'Robopeace leader couldn\'t contain his joy. "This is the last',
		'floor! Give \'em hell boys!", he said.'
	},

	ending_bad = {
		'"Why are we doing this to those poor employees?",',
		'pondered activist for a brief moment before rembering',
		'how much he gets paid for supporting the cause.'
	},

	ending_good = {
		'"Viva la revolución!" shouted Robopeace activist and',
		'high-fived his buddies after pushing the last Megacorp',
		'employee down the hole.'
	}
}

return levels
